Wrong Taudem parameter
2014-07-1510:11 AM - Chris George

Status: Closed

Priority: Normal

Assignee:

Category: Processing/Core

Affected QGIS version:2.4.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 19259
Description

The number of processes parameter passed to mpiexec when running a taudem process is passed as a decimal, e.g. "2.0", when it needs
to be an integer, e.g. "2".

Associated revisions

Revision 7960dc21 - 2014-10-04 03:52 PM - Alexander Bruy

[processing] always pass number of cores as integer (fix #10894)

History

#1 - 2014-07-16 12:51 AM - Alexander Bruy
- Status changed from Open to Feedback
- Category set to 94

Works fine here. Please give more info about issue: which OS, QGIS and Processing versions are you use? Try to clear all Processing settings and check

again, as recently some changes were introduces in settings handling

#2 - 2014-07-17 05:40 AM - Chris George

| just reinstalled QGIS, including removing my .qgis. Version is 2.4.0. | am using Windows 8.1 on a 64-bit machine. Taudem is version 5.1.2, and so | am

using MSMPI. | get the message that the output of PitRemove cannot be loaded, and find it does not exist. | replaced the MSMPI mpiexec.exe with a

simple script to collect its parameters and save them. | discover the command being used is

"C:/Program Files/Microsoft MPI/Bin\\mpiexec" "-n" "2.0" ...

When | use this command in a shell (after restoring mpiexec.exe) | get the error message

Error: expecting a positive number of processes following the -n option.

When | replace the "2.0" with "2" all is well. | guess that MPICH2 mpiexec tolerates a decimal number of processes, since you don't have the problem, but
MSMPI mpiexec does not.

| realise that Taudem 5.1.2 with MSMPI is not officially supported yet for QGIS, but | need to use it as | have errors with 5.0.6. And it seems a simple fix to
QGIS would allow it to be used.
#3 - 2014-10-04 06:52 AM - Alexander Bruy
- Status changed from Feedback to Closed

Fixed in changeset commit:"7960dc21e37d67c81e79f870109d622f5cc05198".

#4 - 2015-06-07 04:31 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core
